Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2014-1933

Overview

Vulnerability Score 2.1 2.1
CVE Id CVE-2014-1933
Last Modified 23 May 2014 12:07:15
Published 17 Apr 2014 10:55:11
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector LOCAL
Access Complexity LOW
Authentication NONE

CVE-2014-1933

Summary

The (1) JpegImagePlugin.py and (2) EpsImagePlugin.py scripts in Python Image Library (PIL) 1.1.7 and earlier and Pillow before 2.3.1 uses the names of temporary files on the command line, which makes it easier for local users to conduct symlink attacks by listing the processes.

Vulnerable Systems

Application

  • Python Pillow 2.3.0

  • Pythonware Python Imaging Library 1.1.7


References

CONFIRM - https://github.com/python-imaging/Pillow/commit/4e9f367dfd3f04c8f5d23f7f759ec12782e10ee7

UBUNTU - USN-2168-1

MLIST - [oss-security] 20140210 Re: CVE requests: Pacemaker, Python Imaging Library, eyeD3, 9base, rc, Gamera, RPLY - insecure use of /tmp

MLIST - [oss-security] 20140210 CVE requests: Pacemaker, Python Imaging Library, eyeD3, 9base, rc, Gamera, RPLY - insecure use of /tmp

SUSE - openSUSE-SU-2014:0591


Last Updated: 27 May 2016 11:05:02